// Shaders create or (more here) modify by Grostarin
// They came from Id, also from BugBear...
// More text in the .txt

textures/nb/teleport
{
	qer_editorimage textures/nb/teleport.tga
	q3map_lightimage textures/nb/teleport_blend.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	tesssize 128
	cull disable

	{
		map $lightmap
		rgbGen identity
	}
	
        {
                map textures/effects/envmap.tga       
                tcGen environment
                rgbGen identity
	}   
        {
		map textures/nb/teleport.tga
            blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		tcMod turb 0 .3 0 .2
		tcMod scale 0.5 0.5
	} 
}

textures/nb/pentagram_light1_nbdm1_5k
{
	qer_editorimage textures/gothic_light/pentagram_light1.tga
	q3map_lightimage textures/gothic_light/pentagram_light1_blend.tga
	q3map_surfacelight 5000

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gothic_light/pentagram_light1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

	
	{
		map textures/gothic_light/pentagram_light1_blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .8 .2 0 1
	}

	
}

textures/nb/pentagram_light1_nbdm1_7k
{
	qer_editorimage textures/gothic_light/pentagram_light1.tga
	q3map_lightimage textures/gothic_light/pentagram_light1_blend.tga
	q3map_surfacelight 7000

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gothic_light/pentagram_light1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

	
	{
		map textures/gothic_light/pentagram_light1_blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .8 .2 0 1
	}

	
}

textures/nb/light1_7
{
	qer_editorimage textures/nb/light1_7.tga
	q3map_lightimage textures/nb/light1_7_blend.tga
	q3map_surfacelight 1500

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/nb/light1_7.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

	
	{
		map textures/nb/light1_7_blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .8 .2 0 1
	}
}

textures/nb/head_mt8
{
	qer_editorimage textures/nb/head_mt8.tga
	q3map_lightimage textures/nb/head_mt8_blend.tga
	q3map_surfacelight 1000

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/nb/head_mt8.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

	
	{
		map textures/nb/head_mt8_blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/nb/light3_7
{
	qer_editorimage textures/nb/light3_7.tga
	q3map_lightimage textures/nb/light3_7_blend.tga
	q3map_surfacelight 1000

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/nb/light3_7.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

	
	{
		map textures/nb/light3_7_blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/nb/lavahell
{
	qer_editorimage textures/liquids/lavahell.tga
	q3map_lightimage textures/liquids/lavahell.tga
	q3map_globaltexture
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 400
	cull disable
	
	tesssize 128
	cull disable
	deformVertexes wave 100 sin 3 2 .1 0.1
	
	{
		map textures/liquids/lavahell.tga
		tcMod turb 0 .2 0 .1
	}


	
}

textures/nb/main_nbbanner_zoli
{
	qer_editorimage textures/nb/main_nbbanner.tga
	q3map_lightimage textures/nb/main_nbbanner.tga
      q3map_surfacelight 100


	{
		map textures/nb/main_nbbanner.tga
	}

	{
		map textures/base_wall/comp3text.tga
		blendfunc add
	        rgbGen identity
		tcmod scroll 3 3
	}

	{
		map textures/base_wall/comp3textb.tga
		blendfunc add
	        rgbGen identity
		tcmod scroll 3 3
	}


	{
		map $lightmap
	        rgbGen identity
		blendfunc gl_dst_color gl_zero
	}

	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
	        rgbGen wave sin .25 0 0 0
		blendfunc add
	}	          		
}

textures/nb/bouncepadnbdm1
{

	//q3map_surfacelight 2000
	surfaceparm nodamage
	q3map_lightimage textures/sfx/jumppadsmall.tga	
	q3map_surfacelight 400

	
	{
		map textures/nb/bouncepadnbdm1.jpg
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	
	{
		map textures/sfx/bouncepad01b_layer1.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 1.5	
	}

	{
		clampmap textures/sfx/jumppadsmall.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}

	//	END
}

textures/nb/grillage_dm1
{
	qer_editorimage textures/nb/grillage.tga
	surfaceparm trans
	surfaceparm nomarks
	cull none
      nopicmip

	{
		map textures/nb/grillage.tga
		tcMod scale 3 3
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}